%define        pkgmajver  	%(echo %version | cut -d. -f 1-2)

Name:          glade
Version:       3.40.0
Release:       3mamba
Summary:       A User Interface Builder for Gtk+ and Gnome
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://glade.gnome.org/
Source0:       https://download.gnome.org/sources/glade/%{pkgmajver}/glade-%{version}.tar.xz
Source1:       glade.png
Source2:       glade-3.desktop
License:       GPL 
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcairo-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libgjs-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libpango-devel
BuildRequires: libpython3-devel
BuildRequires: libwebkit2gtk-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
Requires:      libgladeui = %{?epoch:%epoch:}%{version}-%{release}

%description
Glade is a RAD tool to enable quick & easy development of user interfaces for the Gtk+ toolkit and the GNOME desktop environment.
The user interfaces designed in Glade are stored in XML format, enabling easy integration with external tools.
In particular libglade can load the XML files and create the interfaces at runtime. The DTD for the XML files is included with libglade, and is also at http://glade.gnome.org/glade-2.0.dtd.
Other tools are available which can turn the XML files into source code in languages such as C++, Perl and Python.

%package -n libgladeui
Group:         System/Libraries
Summary:       Static libraries and headers for %{name}
Obsoletes:     glade3 < 3.40.0

%description -n libgladeui
Glade is a RAD tool to enable quick & easy development of user interfaces for the Gtk+ toolkit and the GNOME desktop environment.
This package contains the shared libraries provided by glade.

%package -n libgladeui-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libgladeui = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     glade3-devel < 3.40.0
Provides:      glade-devel
Obsoletes:     glade-devel < 3.40.0-2mamba

%description -n libgladeui-devel
Glade is a RAD tool to enable quick & easy development of user interfaces for the Gtk+ toolkit and the GNOME desktop environment.
This package contains static libraries and header files needed for development.

%prep
%setup -q -n glade-%{version}

%build
%meson \
   -Dgtk_doc=true

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang glade --with-gnome

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f glade.lang
%defattr(-,root,root)
%{_bindir}/glade
%{_bindir}/glade-previewer
%{_datadir}/applications/org.gnome.Glade.desktop
%{_datadir}/metainfo/org.gnome.Glade.appdata.xml
%dir %{_datadir}/glade
%dir %{_datadir}/glade/catalogs
%{_datadir}/glade/catalogs/*.dtd
%{_datadir}/glade/catalogs/*.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Glade.svg
%{_datadir}/icons/hicolor/symbolic/apps/*.svg
%dir %{_datadir}/glade/pixmaps
%{_datadir}/glade/pixmaps/*.png
%{_datadir}/glade/pixmaps/hicolor/*/actions/*.png
%{_datadir}/gettext/its/glade-catalog.*
%{_mandir}/man1/glade-previewer.1*
%{_mandir}/man1/glade.1*
%doc AUTHORS COPYING

%files -n libgladeui
%defattr(-,root,root)
%{_libdir}/libgladeui-2.so.*
%dir %{_libdir}/glade
%dir %{_libdir}/glade/modules
%{_libdir}/glade/modules/libglade*.so

%files -n libgladeui-devel
%defattr(-,root,root)
%dir %{_includedir}/libgladeui-2.0/gladeui
%{_includedir}/libgladeui-2.0/gladeui/*.h
%{_libdir}/libgladeui-2.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/girepository-1.0/Gladeui-2.0.typelib
%{_datadir}/gir-1.0/Gladeui-2.0.gir
%dir %{_datadir}/gtk-doc/html/gladeui-2
%{_datadir}/gtk-doc/html/gladeui-2/*
#%doc ChangeLog NEWS README TODO

%changelog
* Sun Dec 29 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.40.0-3mamba
- libgladeui-devel: provide glade-devel

* Fri Dec 27 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.40.0-2mamba
- rebuilt with python3 = 3.11

* Thu Aug 11 2022 Automatic Build System <autodist@mambasoft.it> 3.40.0-1mamba
- automatic version update by autodist

* Sun May 16 2021 Automatic Build System <autodist@mambasoft.it> 3.38.2-1mamba
- automatic version update by autodist

* Mon May 11 2020 Automatic Build System <autodist@mambasoft.it> 3.36.0-1mamba
- automatic version update by autodist

* Wed Feb 26 2020 Automatic Build System <autodist@mambasoft.it> 3.22.2-1mamba
- automatic version update by autodist

* Sun Aug 12 2018 Automatic Build System <autodist@mambasoft.it> 3.22.1-1mamba
- automatic version update by autodist

* Sun Mar 04 2018 Automatic Build System <autodist@mambasoft.it> 3.20.4-1mamba
- automatic version update by autodist

* Sun Feb 18 2018 Automatic Build System <autodist@mambasoft.it> 3.20.3-1mamba
- automatic version update by autodist

* Sun Dec 24 2017 Automatic Build System <autodist@mambasoft.it> 3.20.2-1mamba
- automatic version update by autodist

* Fri Oct 06 2017 Automatic Build System <autodist@mambasoft.it> 3.20.1-1mamba
- automatic version update by autodist

* Thu Mar 24 2016 Automatic Build System <autodist@mambasoft.it> 3.20.0-1mamba
- automatic version update by autodist

* Sat Oct 10 2015 Automatic Build System <autodist@mambasoft.it> 3.19.0-1mamba
- automatic version update by autodist

* Tue May 13 2014 Automatic Build System <autodist@mambasoft.it> 3.18.3-1mamba
- automatic version update by autodist

* Tue Apr 15 2014 Automatic Build System <autodist@mambasoft.it> 3.18.2-1mamba
- automatic version update by autodist

* Sat Apr 05 2014 Automatic Build System <autodist@mambasoft.it> 3.18.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 3.16.1-1mamba
- automatic version update by autodist

* Wed Oct 30 2013 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Thu Mar 07 2013 Automatic Build System <autodist@mambasoft.it> 3.15.0-1mamba
- automatic version update by autodist

* Mon Nov 26 2012 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic version update by autodist

* Mon Oct 15 2012 Automatic Build System <autodist@mambasoft.it> 3.14.1-1mamba
- automatic version update by autodist

* Fri Sep 28 2012 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Wed Sep 19 2012 Automatic Build System <autodist@mambasoft.it> 3.12.2-1mamba
- automatic version update by autodist

* Sat Jun 23 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12.1-3mamba
- don't obsolete glade3* and libglade3* (provided by glade3)

* Wed Jun 06 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12.1-2mamba
- renamed from glade3 to glade; provide and obsolete glade3 and glade3-devel

* Mon May 07 2012 Automatic Build System <autodist@mambasoft.it> 3.12.1-1mamba
- automatic version update by autodist

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- update to 3.12.0

* Fri Oct 14 2011 Automatic Build System <autodist@mambasoft.it> 3.10.2-1mamba
- automatic version update by autodist

* Thu Jul 21 2011 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- update to 3.10.0

* Wed Apr 06 2011 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic update by autodist

* Tue Jun 30 2009 Automatic Build System <autodist@mambasoft.it> 3.6.7-1mamba
- automatic update to 3.6.7 by autodist

* Tue Jun 23 2009 Automatic Build System <autodist@mambasoft.it> 3.6.6-1mamba
- automatic update to 3.6.6 by autodist

* Sat Jun 13 2009 Automatic Build System <autodist@mambasoft.it> 3.6.5-1mamba
- automatic update to 3.6.5 by autodist

* Sun Jun 07 2009 Automatic Build System <autodist@mambasoft.it> 3.6.4-1mamba
- automatic update to 3.6.4 by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 3.6.3-2mamba
- automatic rebuild by autodist

* Thu Apr 23 2009 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic update to 3.6.3 by autodist

* Thu Apr 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.2-1mamba
- automatic update to 3.6.2 by autodist

* Tue Apr 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.1-1mamba
- automatic update to 3.6.1 by autodist

* Fri Mar 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.0-1mamba
- automatic update to 3.6.0 by autodist

* Tue Sep 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.5-3mamba
- renamed to glade3, providing and obsoleting libglade3 and libglade3-devel

* Sun Aug 31 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.5-2mamba
- renamed to libglade3 and obsolete glade and glade-devel
- description text formatting cleaned

* Tue Jun 03 2008 gil <puntogil@libero.it> 3.4.5-1mamba
- package created by autospec
